import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Scanner;
import javax.xml.bind.DatatypeConverter;

/**
 * Pokemon Emerald Save Conversion Tool
 * Can convert 128kb .sav to 136kb .srm and back.
 * NOTE: THIS JAR FILE CONVERTS .SAV INTO .SRM
 *
 * @author 16BitWonder
 * @editor ThatsSoJewish
 */
public final class SavToSrm {
	
    private SavToSrm() {
    }

    private static String savToSrm(String hexString) {
        for (int i = 0; i < 16384; i++) {
            hexString += 'f';
        }

        return hexString;
    }

    private static void printHexData(String hexString) {
        for (int i = 0; i < hexString.length(); i++) {
			
            if ((i % 2 == 0) && (i != 0)) {
                System.out.print(' ');
            }

            if ((i % 32 == 0) && (i != 0)) {
                System.out.println();
            }
            System.out.print(hexString.charAt(i));
        }
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(System.in);
        Path savLocation = Paths.get("SavToSrm\\Pokemon Emerald.sav")
                .toAbsolutePath().normalize();
        String srmLocation = Paths.get("Pokemon Emerald.srm").toAbsolutePath()
                .normalize().toString();
				
        byte[] data = Files.readAllBytes(savLocation);
        String hexString = DatatypeConverter.printHexBinary(data);
        String newHexString = savToSrm(hexString);
        byte[] newData = DatatypeConverter.parseHexBinary(newHexString);
        FileOutputStream out = new FileOutputStream(srmLocation);
        out.write(newData);

        in.close();
        out.close();
    }
}