import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Scanner;
import javax.xml.bind.DatatypeConverter;

/**
 * Pokemon Emerald Save Conversion Tool
 * Can convert 128kb .sav to 136kb .srm and back.
 * NOTE: THIS JAR FILE CONVERTS .SRM INTO .SAV
 *
 * @author 16BitWonder
 * @editor ThatsSoJewish
 */
 
public final class SrmToSav {

    private SrmToSav() {
    }

    private static String srmToSav(String hexString) {
        return hexString.substring(0, hexString.length() - 16384);
    }

    private static void printHexData(String hexString) {
        for (int i = 0; i < hexString.length(); i++) {
            if ((i % 2 == 0) && (i != 0)) {
                System.out.print(' ');
            }
			
            if ((i % 32 == 0) && (i != 0)) {
                System.out.println();
            }

            System.out.print(hexString.charAt(i));
        }
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(System.in);
        Path srmLocation = Paths.get("SrmToSav\\Pokemon Emerald.srm")
                .toAbsolutePath().normalize();

        String savLocation = Paths.get("Pokemon Emerald.sav").toAbsolutePath()
                .normalize().toString();

        byte[] data = Files.readAllBytes(srmLocation);
        String newHexString = srmToSav(data.ToString());
		
        byte[] newData = str.getBytes(StandardCharsets.UTF_8);
        FileOutputStream out = new FileOutputStream(savLocation);
        out.write(newData);

        in.close();
        out.close();
    }
}