import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Scanner;

/**
 * Pokemon Gen. 3 Save Conversion Tool
 * NOTE: THIS JAR FILE CONVERTS .SAV (128kb) INTO .SRM (136kb)
 *
 * @author 16BitWonder
 *  Original GitHub: https://github.com/16BitWonder/Pokemon-Emerald-Save-Converter/blob/master/PokemonEmeraldSaveConverter_SavToSrm/emeraldSavToSrm.java
 * @editor ThatsSoJewish
 */

public final class SavToSrm {

    private SavToSrm() {}

    private static byte[] savConvert(byte[] savData) {
        byte[] srmData = new byte[savData.length + 8192];

        for (int i = 0; i < savData.length + 8192; i++) {
            if(i < savData.length) {
                srmData[i] = savData[i];
            }
            else {
                srmData[i] = (byte)255;
            }
        }

        return srmData;
    }

    private static String GetSaveFile() {
        File[] dirFiles = new File(".").listFiles();
        for(int f = 0; f < dirFiles.length; f++) {
            String fileName = dirFiles[f].getName();
            int extIndex = fileName.lastIndexOf('.');

            if(extIndex > 0 && fileName.substring(extIndex + 1).compareToIgnoreCase("sav") == 0) {
                return fileName.substring(0, fileName.length() - 4);
            }
        }

        return "";
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(System.in);
        String savName = GetSaveFile();

        if(savName != "") {
            File outputDir = new File("./Output");
            if(!outputDir.exists()) {
                outputDir.mkdir();
            }

            //System.console().writer().println("past dir");

            FileOutputStream out = new FileOutputStream("./Output/" + savName + ".srm");
            out.write(savConvert(Files.readAllBytes(Paths.get("./" + savName + ".sav"))));
            out.close();
        }

        in.close();
    }
}