import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Scanner;

/**
 * Pokemon Gen. 3 Save Conversion Tool
 * NOTE: THIS JAR FILE CONVERTS .SRM (136kb) INTO .SAV (128kb)
 *
 * @author 16BitWonder
 *  Original GitHub: https://github.com/16BitWonder/Pokemon-Emerald-Save-Converter/blob/master/PokemonEmeraldSaveConverter_SavToSrm/emeraldSavToSrm.java
 * @editor ThatsSoJewish
 */

public final class SrmToSav {

    private SrmToSav() {}

    private static String GetSaveFile() {
        File[] dirFiles = new File(".").listFiles();
        for(int f = 0; f < dirFiles.length; f++) {
            String fileName = dirFiles[f].getName();
            int extIndex = fileName.lastIndexOf('.');

            if(extIndex > 0 && fileName.substring(extIndex + 1).compareToIgnoreCase("srm") == 0) {
                return fileName.substring(0, fileName.length() - 4);
            }
        }

        return "";
    }

    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(System.in);
        String srmName = GetSaveFile();

        if(srmName != "") {
            File outputDir = new File("./Output");
            if(!outputDir.exists()) {
                outputDir.mkdir();
            }

            byte[] srmData = Files.readAllBytes(Paths.get("./" + srmName + ".srm"));
            byte[] savData = new byte[srmData.length - 8192];
            System.arraycopy(srmData, 0, savData, 0, srmData.length - 8192);
            FileOutputStream out = new FileOutputStream("./Output/" + srmName + ".sav");
            out.write(savData);
            out.close();
        }

        in.close();
    }
}